techrar docs
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
  1. Items
  • Customer Account
    • Registration
      • Register Customer
      • Confirm Customer Registration
    • User Authentication
      • Request OTP
      • Get Access Token
      • Refresh Access Token
    • Customer Profile
      • Profile Details
      • Wallet Details
      • Referral Details
      • Update Platform Version
      • Activate/Create FCM Token
      • FCM Token
      • Delete Customer Account
      • Update Language
      • Update Avatar
      • Update Profile
    • Customer Locations
      • List Locations
      • Location Details
      • Create Location
      • Update Location
      • Update Location Image
      • Delete Location
    • List Received Notifications
  • Items
    • List Items
      GET
    • Item Details
      GET
    • List Item Categories
      GET
    • Item Category Details
      GET
    • List Modifier Categories
      GET
    • Item Config Details
      GET
    • List Bundle Categories
      GET
  • Orders
    • List Orders
    • Order Details
    • List Recurring Purchases
    • Recurring Purchase Details
    • Recurring Purchase Details
  • Subscriptions
    • List Subscriptions
    • Subscription Details
    • Cancel Subscription Auto Renewal
  • Fulfillments
    • List Fulfillments
    • Fulfillment Details
    • Update Fulfillment Details
  • Payment Methods
    • List Payment Methods
    • Delete Payment Method
    • List Enabled Payment Providers
  • Checkout
    • Checkout Config Details
    • Create Cart
    • Update Cart
    • Cart Details
    • List Pickup Locations
    • List Featured Vouchers
    • Get Courier Options
    • Checkout
  • Sales Channels
    • Orders
      • List Channel Subscriptions
      • Channel Subscription Details
      • List Channel Orders
      • Channel Order Details
      • Cancel Channel Subscription
    • Meals Checkout
      • Apply Voucher
      • Redeem
      • Get Discount
      • Place Order
    • List Channel Providers
  • Utilities
    • List Supported Cities
    • Supported City Details
  1. Items

List Bundle Categories

GET
https://api.techrar.com/inventory/v1/items/bundle-categories/
This endpoint allows you to list all bundle categories related to your store.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.techrar.com/inventory/v1/items/bundle-categories/?main_item_id=undefined&show_all_options=undefined&customer_id=undefined&page=1&page_size=5' \
--header 'app-id: 4' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "count": 1,
    "next": null,
    "previous": null,
    "results": [
        {
            "id": 41,
            "name_en": "Packaging",
            "name_ar": "التغليف",
            "ordering": 1,
            "is_selectable": true,
            "max_selections": 1,
            "min_selections": 1,
            "is_optional": true,
            "options": [
                {
                    "id": 135,
                    "ordering": 0,
                    "sku": "smart_packaging_box",
                    "name_en": "Smart Packaging Box",
                    "name_ar": "Smart Packaging Box",
                    "price": 3.0,
                    "stock": {
                        "in_stock": true,
                        "qty": 100
                    },
                    "discount": {
                        "is_applied": false,
                        "price_after_discount": 3.0
                    },
                    "pricing_model": "fixed",
                    "tier_type": "flat",
                    "usage_unit": "order",
                    "usage_limit": 0.0,
                    "charge_at_start": true,
                    "is_optional": true,
                    "images": []
                }
            ]
        }
    ]
}
Modified at 2026-04-10 09:27:26
Previous
Item Config Details
Next
Orders
Built with